#include"transfer.h"

MPI_Status Statuses[2];

const char test_description[] = "Bi-directional MPI transfer: SendRecv (2)";
extern int headproc;
 
void transfer_test_operation(void *sendbuf,void *recvbuf,int msglen,int rank,int TIMES,int proc)
{
	int the_other;
	int i;	

	if(proc == headproc)
		return;		

	if(rank == headproc || rank == proc)
	{
		the_other = (rank == headproc) ? proc : headproc;

		for(i = 0; i < TIMES; i ++)
            MPI_Sendrecv(sendbuf,msglen,MPI_CHAR,the_other,TAG1,
                         recvbuf,msglen, MPI_CHAR,the_other,TAG1,
                         MPI_COMM_WORLD,Statuses);
	}
}
